from typing_extensions import Final, Literal, Never

MsgName2Id: Final[dict[str, int]]
MsgId2Names: Final[dict[int, list[str]]]

CLIENT_HELLO: Final[Literal[1]]
CLIENT_HELLO_RESP: Final[Literal[2]]
CLIENT_DISCONNECT: Final[Literal[3]]
CLIENT_EJECT: Final[Literal[4]]
CLIENT_HEARTBEAT: Final[Literal[5]]

CLIENT_OBJECT_SET_FIELD: Final[Literal[120]]
CLIENT_OBJECT_SET_FIELDS: Final[Literal[121]]
CLIENT_OBJECT_LEAVING: Final[Literal[132]]
CLIENT_OBJECT_LEAVING_OWNER: Final[Literal[161]]
CLIENT_ENTER_OBJECT_REQUIRED: Final[Literal[142]]
CLIENT_ENTER_OBJECT_REQUIRED_OTHER: Final[Literal[143]]
CLIENT_ENTER_OBJECT_REQUIRED_OWNER: Final[Literal[172]]
CLIENT_ENTER_OBJECT_REQUIRED_OTHER_OWNER: Final[Literal[173]]

CLIENT_DONE_INTEREST_RESP: Final[Literal[204]]
CLIENT_ADD_INTEREST: Final[Literal[200]]
CLIENT_ADD_INTEREST_MULTIPLE: Final[Literal[201]]
CLIENT_REMOVE_INTEREST: Final[Literal[203]]
CLIENT_OBJECT_LOCATION: Final[Literal[140]]

CONTROL_CHANNEL: Final[Literal[1]]
CONTROL_ADD_CHANNEL: Final[Literal[9000]]
CONTROL_REMOVE_CHANNEL: Final[Literal[9001]]
CONTROL_ADD_RANGE: Final[Literal[9002]]
CONTROL_REMOVE_RANGE: Final[Literal[9003]]
CONTROL_ADD_POST_REMOVE: Final[Literal[9010]]
CONTROL_CLEAR_POST_REMOVES: Final[Literal[9011]]

STATESERVER_CREATE_OBJECT_WITH_REQUIRED: Final[Literal[2000]]
STATESERVER_CREATE_OBJECT_WITH_REQUIRED_OTHER: Final[Literal[2001]]
STATESERVER_DELETE_AI_OBJECTS: Final[Literal[2009]]
STATESERVER_OBJECT_GET_FIELD: Final[Literal[2010]]
STATESERVER_OBJECT_GET_FIELD_RESP: Final[Literal[2011]]
STATESERVER_OBJECT_GET_FIELDS: Final[Literal[2012]]
STATESERVER_OBJECT_GET_FIELDS_RESP: Final[Literal[2013]]
STATESERVER_OBJECT_GET_ALL: Final[Literal[2014]]
STATESERVER_OBJECT_GET_ALL_RESP: Final[Literal[2015]]
STATESERVER_OBJECT_SET_FIELD: Final[Literal[2020]]
STATESERVER_OBJECT_SET_FIELDS: Final[Literal[2021]]
STATESERVER_OBJECT_DELETE_FIELD_RAM: Final[Literal[2030]]
STATESERVER_OBJECT_DELETE_FIELDS_RAM: Final[Literal[2031]]
STATESERVER_OBJECT_DELETE_RAM: Final[Literal[2032]]
STATESERVER_OBJECT_SET_LOCATION: Final[Literal[2040]]
STATESERVER_OBJECT_CHANGING_LOCATION: Final[Literal[2041]]
STATESERVER_OBJECT_ENTER_LOCATION_WITH_REQUIRED: Final[Literal[2042]]
STATESERVER_OBJECT_ENTER_LOCATION_WITH_REQUIRED_OTHER: Final[Literal[2043]]
STATESERVER_OBJECT_GET_LOCATION: Final[Literal[2044]]
STATESERVER_OBJECT_GET_LOCATION_RESP: Final[Literal[2045]]
STATESERVER_OBJECT_SET_AI: Final[Literal[2050]]
STATESERVER_OBJECT_CHANGING_AI: Final[Literal[2051]]
STATESERVER_OBJECT_ENTER_AI_WITH_REQUIRED: Final[Literal[2052]]
STATESERVER_OBJECT_ENTER_AI_WITH_REQUIRED_OTHER: Final[Literal[2053]]
STATESERVER_OBJECT_GET_AI: Final[Literal[2054]]
STATESERVER_OBJECT_GET_AI_RESP: Final[Literal[2055]]
STATESERVER_OBJECT_SET_OWNER: Final[Literal[2060]]
STATESERVER_OBJECT_CHANGING_OWNER: Final[Literal[2061]]
STATESERVER_OBJECT_ENTER_OWNER_WITH_REQUIRED: Final[Literal[2062]]
STATESERVER_OBJECT_ENTER_OWNER_WITH_REQUIRED_OTHER: Final[Literal[2063]]
STATESERVER_OBJECT_GET_OWNER: Final[Literal[2064]]
STATESERVER_OBJECT_GET_OWNER_RESP: Final[Literal[2065]]
STATESERVER_OBJECT_GET_ZONE_OBJECTS: Final[Literal[2100]]
STATESERVER_OBJECT_GET_ZONES_OBJECTS: Final[Literal[2102]]
STATESERVER_OBJECT_GET_CHILDREN: Final[Literal[2104]]
STATESERVER_OBJECT_GET_ZONE_COUNT: Final[Literal[2110]]
STATESERVER_OBJECT_GET_ZONE_COUNT_RESP: Final[Literal[2111]]
STATESERVER_OBJECT_GET_ZONES_COUNT: Final[Literal[2112]]
STATESERVER_OBJECT_GET_ZONES_COUNT_RESP: Final[Literal[2113]]
STATESERVER_OBJECT_GET_CHILD_COUNT: Final[Literal[2114]]
STATESERVER_OBJECT_GET_CHILD_COUNT_RESP: Final[Literal[2115]]
STATESERVER_OBJECT_DELETE_ZONE: Final[Literal[2120]]
STATESERVER_OBJECT_DELETE_ZONES: Final[Literal[2122]]
STATESERVER_OBJECT_DELETE_CHILDREN: Final[Literal[2124]]

DBSS_OBJECT_ACTIVATE_WITH_DEFAULTS: Final[Literal[2200]]
DBSS_OBJECT_ACTIVATE_WITH_DEFAULTS_OTHER: Final[Literal[2201]]
DBSS_OBJECT_GET_ACTIVATED: Final[Literal[2207]]
DBSS_OBJECT_GET_ACTIVATED_RESP: Final[Literal[2208]]
DBSS_OBJECT_DELETE_FIELD_DISK: Final[Literal[2230]]
DBSS_OBJECT_DELETE_FIELDS_DISK: Final[Literal[2231]]
DBSS_OBJECT_DELETE_DISK: Final[Literal[2232]]

DBSERVER_CREATE_OBJECT: Final[Literal[3000]]
DBSERVER_CREATE_OBJECT_RESP: Final[Literal[3001]]
DBSERVER_OBJECT_GET_FIELD: Final[Literal[3010]]
DBSERVER_OBJECT_GET_FIELD_RESP: Final[Literal[3011]]
DBSERVER_OBJECT_GET_FIELDS: Final[Literal[3012]]
DBSERVER_OBJECT_GET_FIELDS_RESP: Final[Literal[3013]]
DBSERVER_OBJECT_GET_ALL: Final[Literal[3014]]
DBSERVER_OBJECT_GET_ALL_RESP: Final[Literal[3015]]
DBSERVER_OBJECT_SET_FIELD: Final[Literal[3020]]
DBSERVER_OBJECT_SET_FIELDS: Final[Literal[3021]]
DBSERVER_OBJECT_SET_FIELD_IF_EQUALS: Final[Literal[3022]]
DBSERVER_OBJECT_SET_FIELD_IF_EQUALS_RESP: Final[Literal[3023]]
DBSERVER_OBJECT_SET_FIELDS_IF_EQUALS: Final[Literal[3024]]
DBSERVER_OBJECT_SET_FIELDS_IF_EQUALS_RESP: Final[Literal[3025]]
DBSERVER_OBJECT_SET_FIELD_IF_EMPTY: Final[Literal[3026]]
DBSERVER_OBJECT_SET_FIELD_IF_EMPTY_RESP: Final[Literal[3027]]
DBSERVER_OBJECT_DELETE_FIELD: Final[Literal[3030]]
DBSERVER_OBJECT_DELETE_FIELDS: Final[Literal[3031]]
DBSERVER_OBJECT_DELETE: Final[Literal[3032]]

CLIENTAGENT_SET_STATE: Final[Literal[1000]]
CLIENTAGENT_SET_CLIENT_ID: Final[Literal[1001]]
CLIENTAGENT_SEND_DATAGRAM: Final[Literal[1002]]
CLIENTAGENT_EJECT: Final[Literal[1004]]
CLIENTAGENT_DROP: Final[Literal[1005]]
CLIENTAGENT_GET_NETWORK_ADDRESS: Final[Literal[1006]]
CLIENTAGENT_GET_NETWORK_ADDRESS_RESP: Final[Literal[1007]]
CLIENTAGENT_DECLARE_OBJECT: Final[Literal[1010]]
CLIENTAGENT_UNDECLARE_OBJECT: Final[Literal[1011]]
CLIENTAGENT_ADD_SESSION_OBJECT: Final[Literal[1012]]
CLIENTAGENT_REMOVE_SESSION_OBJECT: Final[Literal[1013]]
CLIENTAGENT_SET_FIELDS_SENDABLE: Final[Literal[1014]]
CLIENTAGENT_OPEN_CHANNEL: Final[Literal[1100]]
CLIENTAGENT_CLOSE_CHANNEL: Final[Literal[1101]]
CLIENTAGENT_ADD_POST_REMOVE: Final[Literal[1110]]
CLIENTAGENT_CLEAR_POST_REMOVES: Final[Literal[1111]]
CLIENTAGENT_ADD_INTEREST: Final[Literal[1200]]
CLIENTAGENT_ADD_INTEREST_MULTIPLE: Final[Literal[1201]]
CLIENTAGENT_REMOVE_INTEREST: Final[Literal[1203]]

QUIET_ZONE_IGNORED_LIST: Final[list[Never]]

CLIENT_LOGIN_2_GREEN: Final[Literal[1]]
CLIENT_LOGIN_2_PLAY_TOKEN: Final[Literal[2]]
CLIENT_LOGIN_2_BLUE: Final[Literal[3]]
CLIENT_LOGIN_3_DISL_TOKEN: Final[Literal[4]]
